com.holonplatform.vaadin.components

## Interface PropertyInputForm.PropertyInputFormBuilder<C extends com.vaadin.ui.Component>

- Type Parameters:
    `C` - Form content component type
  All Superinterfaces:
    ComponentBuilder<PropertyInputForm,PropertyInputForm.PropertyInputFormBuilder<C>>, ComponentConfigurator<PropertyInputForm.PropertyInputFormBuilder<C>>, ComposableComponent.Builder<PropertyValueComponentSource,C,PropertyInputForm.PropertyInputFormBuilder<C>>, PropertyInputGroup.Builder<PropertyInputForm,PropertyInputForm.PropertyInputFormBuilder<C>>
  Enclosing interface:
    PropertyInputForm

      public static interface PropertyInputForm.PropertyInputFormBuilder<C extends com.vaadin.ui.Component>
      extends ComposableComponent.Builder<PropertyValueComponentSource,C,PropertyInputForm.PropertyInputFormBuilder<C>>, PropertyInputGroup.Builder<PropertyInputForm,PropertyInputForm.PropertyInputFormBuilder<C>>, ComponentBuilder<PropertyInputForm,PropertyInputForm.PropertyInputFormBuilder<C>>

  `PropertyInputForm` builder.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `PropertyInputForm.PropertyInputFormBuilder<C>` | `componentConfigurator(com.holonplatform.core.property.Property<?> property, Consumer<ComponentConfigurator.BaseComponentConfigurator> configurator)` Provide a custom configurator `Consumer` to configure the `Component` associated with given `property` before render it in UI.
    `PropertyInputForm.PropertyInputFormBuilder<C>` | `hidePropertyCaption(com.holonplatform.core.property.Property<?> property)` Set the caption for the input component bound to given property as hidden.
    `PropertyInputForm.PropertyInputFormBuilder<C>` | `propertyCaption(com.holonplatform.core.property.Property<?> property, com.holonplatform.core.i18n.Localizable caption)` Set the caption for the input component bound to given property.
    `PropertyInputForm.PropertyInputFormBuilder<C>` | `propertyCaption(com.holonplatform.core.property.Property<?> property, String caption)` Set the caption for the input component bound to given property.
    `PropertyInputForm.PropertyInputFormBuilder<C>` | `propertyCaption(com.holonplatform.core.property.Property<?> property, String defaultCaption, String messageCode, Object... arguments)` Set the caption for the input component bound to given property.

    - ### Methods inherited from interface com.holonplatform.vaadin.components.ComposableComponent.Builder

      `componentsWidthMode, composeOnAttach, composer, initializer`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.PropertyInputGroup.Builder

      `bind, bind, bind, bind, bind, bind, bind, build, defaultValue, excludeReadOnlyProperties, hidden, ignoreMissingInputs, ignorePropertyValidation, properties, properties, propertiesValidationStatusHandler, readOnly, required, required, required, required, required, stopOverallValidationAtFirstFailure, stopValidationAtFirstFailure, validateOnValueChange, validationStatusHandler, validationStatusHandler, validationStatusHandler, validationStatusHandler, valueChangeMode, valueChangeMode, valueChangeTimeout, withPostProcessor, withValidator, withValidator, withValidator, withValidator, withValueChangeListener, withValueChangeListener, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.ComponentBuilder

      `build, deferLocalization, dragSource, dropTarget`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `caption, caption, caption, captionAsHtml, description, description, description, disabled, errorHandler, fullHeight, fullSize, fullWidth, height, height, heightUndefined, hidden, icon, id, notVisible, primaryStyleName, replaceStyleName, responsive, sizeUndefined, styleName, width, width, widthUndefined, withAttachListener, withContextClickListener, withData, withDetachListener, withShortcutListener`

- - ### Method Detail

    - #### propertyCaption

          PropertyInputForm.PropertyInputFormBuilder<C> propertyCaption(com.holonplatform.core.property.Property<?> property,
                                                                        com.holonplatform.core.i18n.Localizable caption)

      Set the caption for the input component bound to given property. By default, the caption is obtained from `Property` itself (which is `Localizable`).
      Parameters:
        `property` - Property for which to set the input caption (not null)
        `caption` - Localizable input caption
      Returns:
        this

    - #### propertyCaption

          PropertyInputForm.PropertyInputFormBuilder<C> propertyCaption(com.holonplatform.core.property.Property<?> property,
                                                                        String caption)

      Set the caption for the input component bound to given property. By default, the caption is obtained from `Property` itself (which is `Localizable`).
      Parameters:
        `property` - Property for which to set the input caption (not null)
        `caption` - Input component caption
      Returns:
        this

    - #### propertyCaption

          PropertyInputForm.PropertyInputFormBuilder<C> propertyCaption(com.holonplatform.core.property.Property<?> property,
                                                                        String defaultCaption,
                                                                        String messageCode,
                                                                        Object... arguments)

      Set the caption for the input component bound to given property. By default, the caption is obtained from `Property` itself (which is `Localizable`).
      Parameters:
        `property` - Property for which to set the input caption (not null)
        `defaultCaption` - Default caption if no translation is available for given `messageCode` for current Locale, or no `LocalizationContext` is available at all
        `messageCode` - Caption translation message key
        `arguments` - Optional translation arguments
      Returns:
        this

    - #### hidePropertyCaption

          PropertyInputForm.PropertyInputFormBuilder<C> hidePropertyCaption(com.holonplatform.core.property.Property<?> property)

      Set the caption for the input component bound to given property as hidden.
      Parameters:
        `property` - Property for which to hide the input caption (not null)
      Returns:
        this

    - #### componentConfigurator

          PropertyInputForm.PropertyInputFormBuilder<C> componentConfigurator(com.holonplatform.core.property.Property<?> property,
                                                                              Consumer<ComponentConfigurator.BaseComponentConfigurator> configurator)

      Provide a custom configurator `Consumer` to configure the `Component` associated with given `property` before render it in UI. The Component instance must be a subclass of `AbstractComponent` to allow component configuration.
      Parameters:
        `property` - Property for which to set component configurator (not null)
        `configurator` - Consumer to invoke the `ComponentConfigurator` method and configure the component associated to the property (not null)
      Returns:
        this

Copyright © 2019 The Holon Platform. All rights reserved.